Bug 1268855 - [DOC] Installation instructions for BRMS 6.1 on EWS incomplete
[DOC] Installation instructions for BRMS 6.1 on EWS incomplete
Status: NEW
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: brms-docs@redhat.com
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 09:06 EDT by Martin Weiler
Modified: 2016-01-08 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 22831, Installation Guide-6.1 Build Date: 31-07-2015 13:58:58 Topic ID: 13683-748729 [Latest]
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Weiler 2015-10-05 09:06:36 EDT
Title: Installing Red Hat JBoss BRMS on Red Hat JBoss Web Server

Describe the issue:
The installation instructions are incomplete. Some steps are missing.


Suggestions for improvement:
Full instructions can be found here:
https://github.com/droolsjbpm/kie-wb-distributions/blob/master/kie-wb/kie-wb-distribution-wars/src/main/assembly/tomcat7/README.txt

The same information as KBase article:
https://access.redhat.com/solutions/1979733


Additional information:
As per the instructions, some libraries need to be added to $TOMCAT_HOME/lib. However, these libraries are missing, see the following bugzilla:
https://bugzilla.redhat.com/show_bug.cgi?id=1268853
Comment 2 Anton Giertli 2015-11-18 02:44:37 EST
BRMS Installation guide does not include persistence configuration.

BRMS 6.0.x did not need to have persistence configured.
BRMS 6.1.x *has to* have persistence configured because of the "asset management" feature. This particular config can be easily taken from the BPMS guide (if we are sure BPMS guide is valid in this aspect)

We are frequently seeing cases regarding the installation issues, I'd like to kindly ask QA person who will be verifying this to actually go through the installation guide and verify whether the BRMS, installed according to this guide, will be able to startup without issues.

Thanks,
Anton

Note You need to log in before you can comment on or make changes to this bug.